#ifndef SENDPROGRAMDIALOG_H
#define SENDPROGRAMDIALOG_H

#include "wprogrampublishitem.h"
#include <QDialog>

class SendProgramDialog : public QDialog {
    Q_OBJECT
public:
    explicit SendProgramDialog(QString, QWidget *parent = nullptr);
protected:
    void closeEvent(QCloseEvent *event) override;
signals:
    void stopAllThd();
protected slots:
    void onRefresh();
    void FilterProgram(const QString &strtemp);
private:
    void sendNext();
    void onAddLedCard(LedCard *p);

    LoQTreeWidget *wDevicePublishList;
    int mWaitCnt{0};
    QLabel *label;

    QTreeWidgetItem *m_headerItem = nullptr;
    QString mProgName;
    QString m_strUrl;
};

#endif // SENDPROGRAMDIALOG_H
